### Function

# FwupdPlugin error_convert

#### Declaration [src]

    gboolean
    fu_error_convert (
      const FuErrorConvertEntry* entries,
      guint n_entries,
      GError** error
    )

#### Description [src]

Convert the error to a `FwupdError`, if required.

Available since: | 2.0.14

#### Parameters

`entries` | `FuErrorConvertEntry`
| The `FuErrorConvertEntry` map.
| The data is owned by the caller of the function.
`n_entries` | `guint`
| Number of `entries`.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| No description available.